Cannot use --gui build switch on linux
August 11, 2013 06:08PM
Hello,

Can anyone tell me how to fix the problem in the log?

cpanm (App::cpanminus) 1.6940 on perl 5.014002 built for x86_64-linux-gnu-thread-multi
Work directory is /home/spaceman/.cpanm/work/1376254786.8729
You have make /usr/bin/make
You have LWP 6.03
You have /bin/tar: tar (GNU tar) 1.26
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later [gnu.org].
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by John Gilmore and Jay Fenlason.
You have /usr/bin/unzip
Searching Wx::GLCanvas on cpanmetadb ...
--> Working on Wx::GLCanvas
Fetching [www.cpan.org]
-> OK
Unpacking Wx-GLCanvas-0.09.tar.gz
Entering Wx-GLCanvas-0.09
Checking configure dependencies from META.yml
Checking if you have Wx::build::MakeMaker 0.16 ... Yes (0.28)
Configuring Wx-GLCanvas-0.09
Running Makefile.PL
Checking if your kit is complete...
Looks good
'WX' is not a known MakeMaker parameter name.
Unrecognized argument in LIBS ignored: '-Wl,-Bsymbolic-functions'
Unrecognized argument in LIBS ignored: '-Wl,-z,relro'
Writing Makefile for Wx::GLCanvas
Writing MYMETA.yml and MYMETA.json
-> OK
Checking dependencies from MYMETA.json ...
Checking if you have Wx 0.57 ... Yes (0.9922)
Checking if you have ExtUtils::MakeMaker 0 ... Yes (6.72)
Checking if you have Wx::build::MakeMaker 0.16 ... Yes (0.28)
Building and testing Wx-GLCanvas-0.09
cp lib/Wx/GLCanvas.pm blib/lib/Wx/GLCanvas.pm
cp lib/Wx/DemoModules/wxGLCanvas.pm blib/lib/Wx/DemoModules/wxGLCanvas.pm
/usr/bin/perl -S wxperl_overload cpp/ovl_const.cpp cpp/ovl_const.h overload.lst
Writing 'cpp/ovl_const.h'.
Writing 'cpp/ovl_const.cpp'.
touch wxt_overload
/usr/bin/perl /usr/local/share/perl/5.14.2/ExtUtils/xsubpp  -noprototypes  -typemap /usr/share/perl/5.14/ExtUtils/typemap -typemap /usr/local/lib/perl/5.14.2/Wx/typemap -typemap typemap  GLCanvas.xs > GLCanvas.xsc && mv GLCanvas.xsc GLCanvas.c
g++ -pthread   -c  -I. -I/usr/local/lib/perl/5.14.2/Wx -I/usr/lib/x86_64-linux-gnu/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8  -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g   -DVERSION=\"0.09\" -DXS_VERSION=\"0.09\" -fPIC "-I/usr/lib/perl/5.14/CORE"  -DWXPL_EXT -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__   GLCanvas.c
In file included from /usr/include/wx-2.8/wx/glcanvas.h:54:0,
                 from GLCanvas.xs:27:
/usr/include/wx-2.8/wx/gtk/glcanvas.h:19:19: fatal error: GL/gl.h: No such file or directory
compilation terminated.
make: *** [GLCanvas.o] Error 1
-> FAIL Installing Wx::GLCanvas failed. See /home/spaceman/.cpanm/work/1376254786.8729/build.log for details. Retry with --force to force install it.
Re: Cannot use --gui build switch on linux
August 11, 2013 09:25PM
Looks like you need the GL dev packages for your flavor of Linux, something like freeglut-dev should pull in all the other dependencies for development, I think.
Re: Cannot use --gui build switch on linux
August 12, 2013 10:24PM
Thanks Leghk.

I followed the instructions HERE and that went fine. But it still failed installing OpenGL-0.67 as noted in the log:

cpanm (App::cpanminus) 1.6940 on perl 5.014002 built for x86_64-linux-gnu-thread-multi
Work directory is /home/spaceman/.cpanm/work/1376359623.6762
You have make /usr/bin/make
You have LWP 6.03
You have /bin/tar: tar (GNU tar) 1.26
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later [gnu.org].
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by John Gilmore and Jay Fenlason.
You have /usr/bin/unzip
--> Working on [www.cpan.org]
Fetching [www.cpan.org]
-> OK
Unpacking OpenGL-0.67.tar.gz
Entering OpenGL-0.67
Checking configure dependencies from META.json
Checking if you have ExtUtils::MakeMaker 0 ... Yes (6.72)
Configuring OpenGL-0.67
Running Makefile.PL
/usr/bin/ld: cannot find -lXmu
collect2: ld returned 1 exit status
make: *** [glversion] Error 1
-> N/A
Checking dependencies from MYMETA.json ...
Checking if you have Test::More 0 ... Yes (0.98)
Checking if you have ExtUtils::MakeMaker 0 ... Yes (6.72)
-> FAIL Configure failed for OpenGL-0.67. See /home/spaceman/.cpanm/work/1376359623.6762/build.log for details.

I'm assuming the problem is in the lines:
/usr/bin/ld: cannot find -lXmu
collect2: ld returned 1 exit status
make: *** [glversion] Error 1

But I don't know what to do to solve this now.

Edited 1 time(s). Last edit at 08/14/2013 07:50PM by spaceman.
Sorry, only registered users may post in this forum.

Click here to login